net.corda.core.serialization

## Class CordaClassResolver

- net.corda.core.serialization.CordaClassResolver

-     public class CordaClassResolver

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CordaClassResolver.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CordaClassResolver.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CordaClassResolver(ClassWhitelist whitelist)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableWhitelist()`
    `void` | `enableWhitelist()`
    `com.esotericsoftware.kryo.Registration` | `getRegistration(java.lang.Class<?> type)` Returns the registration for the specified class, or null if the class is not registered.
    `ClassWhitelist` | `getWhitelist()`
    `com.esotericsoftware.kryo.Registration` | `registerImplicit(java.lang.Class<?> type)`

- - ### Field Detail

    - #### Companion

          public static CordaClassResolver.Companion Companion

  - ### Constructor Detail

    - #### CordaClassResolver

          public CordaClassResolver(ClassWhitelist whitelist)

  - ### Method Detail

    - #### getRegistration

          public com.esotericsoftware.kryo.Registration getRegistration(java.lang.Class<?> type)

      Returns the registration for the specified class, or null if the class is not registered.

    - #### disableWhitelist

          public void disableWhitelist()

    - #### enableWhitelist

          public void enableWhitelist()

    - #### registerImplicit

          public com.esotericsoftware.kryo.Registration registerImplicit(java.lang.Class<?> type)

    - #### getWhitelist

          public ClassWhitelist getWhitelist()